aboutsummaryrefslogtreecommitdiff
path: root/scripts/debian
diff options
context:
space:
mode:
authorHans-Christoph Steiner <eighthave@users.sourceforge.net>2010-03-18 01:17:31 +0000
committerHans-Christoph Steiner <eighthave@users.sourceforge.net>2010-03-18 01:17:31 +0000
commit552557b97ebac415f31c87ba5d8af621e2d4de6f (patch)
tree2c17aa155d5c58f1aaca72efa0a6c584c7e4cc1b /scripts/debian
parentbaff3d9a8221d5566b3b5e49656032fac70c2379 (diff)
more changes to separate 'pd-extended' files from 'puredata' files
svn path=/trunk/; revision=13224
Diffstat (limited to 'scripts/debian')
-rw-r--r--scripts/debian/default/pd-extended12
-rwxr-xr-xscripts/debian/init.d/pd-extended150
2 files changed, 162 insertions, 0 deletions
diff --git a/scripts/debian/default/pd-extended b/scripts/debian/default/pd-extended
new file mode 100644
index 00000000..0d5e11b8
--- /dev/null
+++ b/scripts/debian/default/pd-extended
@@ -0,0 +1,12 @@
+# this needs to be "yes" for it to start automatically
+#RUNPDDAEMON=yes
+
+# if your Pd-extended is installed elsewhere, set the correct location
+#DAEMON=/usr/bin/pd-extended
+
+# load your patches here
+#OPTIONS="-nogui -open /home/hans/cvs/pure-data/doc/tutorials/networking/chat-server.pd"
+
+# if you want to use a different user. AVOID USING "root"! Pd is not secure!
+#USER=nobody
+
diff --git a/scripts/debian/init.d/pd-extended b/scripts/debian/init.d/pd-extended
new file mode 100755
index 00000000..bee98768
--- /dev/null
+++ b/scripts/debian/init.d/pd-extended
@@ -0,0 +1,150 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides: pd
+# Required-Start: $remote_fs
+# Required-Stop: $remote_fs
+# Default-Start: 2 3 4 5
+# Default-Stop: 0
+# Short-Description: Pure Data
+# Description: Pure Data realtime graphical programming environment.
+### END INIT INFO
+
+# Author: Hans-Christoph Steiner <hans@eds.org>
+
+# Do NOT "set -e"
+
+# PATH should only include /usr/* if it runs after the mountnfs.sh script
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+DESC="Pd-extended"
+NAME=pd-extended
+DAEMON=/usr/bin/$NAME
+#DAEMON_ARGS="--options args"
+PIDFILE=/var/run/$NAME.pid
+SCRIPTNAME=/etc/init.d/$NAME
+
+# options
+RUNPDDAEMON=no
+USER=nobody
+#PORT=34985
+
+# this is meant for running Pd as a server, so it turns off everything
+PARAMS="-nogui -noaudio -nomidi $OPTIONS"
+
+# Exit if the package is not installed
+[ -x "$DAEMON" ] || exit 0
+
+# Read configuration variable file if it is present
+[ -r /etc/default/$NAME ] && . /etc/default/$NAME
+
+# Load the VERBOSE setting and other rcS variables
+. /lib/init/vars.sh
+
+# Define LSB log_* functions.
+# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
+. /lib/lsb/init-functions
+
+#
+# Function that starts the daemon/service
+#
+do_start() {
+# if you want a log, use this line (until Pd gets syslog support)
+# /bin/su - $USER -c "$DAEMON $PARAMS" > /tmp/pd-$DATE.log 2>&1 &
+ start-stop-daemon -v --start --quiet --background --make-pidfile \
+ --chuid $USER --pidfile $PIDFILE --exec $DAEMON -- $PARAMS
+}
+
+#
+# Function that stops the daemon/service
+#
+do_stop()
+{
+ # Return
+ # 0 if daemon has been stopped
+ # 1 if daemon was already stopped
+ # 2 if daemon could not be stopped
+ # other if a failure occurred
+ start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
+ RETVAL="$?"
+ [ "$RETVAL" = 2 ] && return 2
+ # Wait for children to finish too if this is a daemon that forks
+ # and if the daemon is only ever run from this initscript.
+ # If the above conditions are not satisfied then add some other code
+ # that waits for the process to drop all resources that could be
+ # needed by services started subsequently. A last resort is to
+ # sleep for some time.
+ start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
+ [ "$?" = 2 ] && return 2
+ # Many daemons don't delete their pidfiles when they exit.
+ rm -f $PIDFILE
+ return "$RETVAL"
+}
+
+#
+# Function that sends a SIGHUP to the daemon/service
+#
+do_reload() {
+ #
+ # If the daemon can reload its configuration without
+ # restarting (for example, when it is sent a SIGHUP),
+ # then implement that here.
+ #
+ start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
+ return 0
+}
+
+case "$1" in
+ start)
+ [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
+ do_start
+ case "$?" in
+ 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+ 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+ esac
+ ;;
+ stop)
+ [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
+ do_stop
+ case "$?" in
+ 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+ 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+ esac
+ ;;
+ #reload|force-reload)
+ #
+ # If do_reload() is not implemented then leave this commented out
+ # and leave 'force-reload' as an alias for 'restart'.
+ #
+ #log_daemon_msg "Reloading $DESC" "$NAME"
+ #do_reload
+ #log_end_msg $?
+ #;;
+ restart|force-reload)
+ #
+ # If the "reload" option is implemented then remove the
+ # 'force-reload' alias
+ #
+ log_daemon_msg "Restarting $DESC" "$NAME"
+ do_stop
+ case "$?" in
+ 0|1)
+ do_start
+ case "$?" in
+ 0) log_end_msg 0 ;;
+ 1) log_end_msg 1 ;; # Old process is still running
+ *) log_end_msg 1 ;; # Failed to start
+ esac
+ ;;
+ *)
+ # Failed to stop
+ log_end_msg 1
+ ;;
+ esac
+ ;;
+ *)
+ #echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
+ echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
+ exit 3
+ ;;
+esac
+
+: